---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# CustomFindOptions

## Type parameters

<ParameterTypes parameters={[
  {
    "name": "TModel",
    "type": "`object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "InKeys",
    "type": "keyof `TModel`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />

## Properties

<ParameterTypes parameters={[
  {
    "name": "order",
    "type": "`OrderByCondition`",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "select",
    "type": "FindOptionsSelect&#60;TModel&#62; \\| FindOptionsSelectByString&#60;TModel&#62;",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "skip",
    "type": "`number`",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "take",
    "type": "`number`",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "where",
    "type": "FindOptionsWhere&#60;TModel&#62; & &#123; [P in string \\| number \\| symbol]?: TModel[P][] &#125; \\| FindOptionsWhere&#60;TModel&#62;[] & &#123; [P in string \\| number \\| symbol]?: TModel[P][] &#125;",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
